## WebKitDOMHTMLPreElement

WebKitDOMHTMLPreElement

## Functions

glong | webkit_dom_html_pre_element_get_width ()
void | webkit_dom_html_pre_element_set_width ()
gboolean | webkit_dom_html_pre_element_get_wrap ()
void | webkit_dom_html_pre_element_set_wrap ()

## Properties

glong | width | Read / Write
gboolean | wrap | Read / Write

## Types and Values

| WebKitDOMHTMLPreElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLPreElement

## Implemented Interfaces

WebKitDOMHTMLPreElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_pre_element_get_width ()

    glong
    webkit_dom_html_pre_element_get_width (WebKitDOMHTMLPreElement *self);

#### Parameters

self | A WebKitDOMHTMLPreElement |

#### Returns

A glong

### webkit_dom_html_pre_element_set_width ()

    void
    webkit_dom_html_pre_element_set_width (WebKitDOMHTMLPreElement *self,
                                           glong value);

#### Parameters

self | A WebKitDOMHTMLPreElement |
value | A glong |

### webkit_dom_html_pre_element_get_wrap ()

    gboolean
    webkit_dom_html_pre_element_get_wrap (WebKitDOMHTMLPreElement *self);

#### Parameters

self | A WebKitDOMHTMLPreElement |

#### Returns

A gboolean

### webkit_dom_html_pre_element_set_wrap ()

    void
    webkit_dom_html_pre_element_set_wrap (WebKitDOMHTMLPreElement *self,
                                          gboolean value);

#### Parameters

self | A WebKitDOMHTMLPreElement |
value | A gboolean |

## Types and Values

### WebKitDOMHTMLPreElement

    typedef struct _WebKitDOMHTMLPreElement WebKitDOMHTMLPreElement;

## Property Details

### The `“width”` property

      “width”                    glong

read-write glong HTMLPreElement:width.

Flags: Read / Write

Default value: 0

### The `“wrap”` property

      “wrap”                     gboolean

read-write gboolean HTMLPreElement:wrap.

Flags: Read / Write

Default value: FALSE